=== debian/control ===
Source: ros-kinetic-rospy-message-converter
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), python-numpy, ros-kinetic-catkin, ros-kinetic-message-generation, ros-kinetic-rosunit, ros-kinetic-std-msgs, ros-kinetic-std-srvs
Homepage: http://ros.org/wiki/rospy_message_converter
Standards-Version: 3.9.2

Package: ros-kinetic-rospy-message-converter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-message-runtime, ros-kinetic-roslib, ros-kinetic-rospy, ros-kinetic-std-msgs
Description: Converts between Python dictionaries and JSON to rospy messages.
